EDQUOTA(8)

NUME
edquota - editează cotele utilizatorilor

SINOPSIS
edquota [ -p nume-prototip ] [ -u | -g | -P ] [ -rm ] [ -F nume-format ] [ -f sistem-fișiere ] nume-utilizator | nume-grup | nume-proiect...

edquota [ -u | -g | -P ] [ -F nume-format ] [ -f sistem-fișiere ] -t

edquota [ -u | -g | -P ] [ -F nume-format ] [ -f sistem-fișiere ] -T nume-utilizator | nume-grup | nume-proiect...

DESCRIERE
edquota este un editor de cote. În linia de comandă pot fi specificați unul sau mai mulți utilizatori, grupuri sau proiecte. Dacă în locul numelui utilizatorului/grupului/proiectului se indică un număr, acesta este tratat ca un UID/GID/ID de proiect. Pentru fiecare utilizator, grup sau proiect se creează un fișier temporar cu o reprezentare ASCII a cotelor de disc actuale pentru acel utilizator, grup sau proiect, iar apoi se apelează un editor pentru acest fișier. Cotele pot fi apoi modificate, pot fi adăugate noi cote etc. Stabilirea unei cote la zero indică faptul că nu trebuie impusă nicio cotă.

Utilizarea și limitele blocurilor sunt raportate și interpretate ca multipli de blocuri de kibiocteți (1024 de octeți) în mod implicit. Simbolurile K, M, G și T pot fi adăugate la valoarea numerică pentru a exprima kibiocteți, mebiocteți, gibiocteți și tebiocteți.

Utilizarea și limitele de noduri-i sunt interpretate literal. Simbolurile k, m, g și t pot fi adăugate la valoarea numerică pentru a exprima multiplii de 10^3, 10^6, 10^9 și 10^12 noduri-i.

Utilizatorilor li se permite să depășească limitele soft pentru o perioadă de grație care poate fi specificată pentru fiecare sistem de fișiere. Odată ce perioada de grație a expirat, limita soft este impusă ca o limită hard.

Informațiile privind utilizarea curentă din fișier au caracter informativ; pot fi modificate doar limitele hard și soft.

La ieșirea din editor, edquota citește fișierul temporar și modifică fișierele de cote binare pentru a reflecta modificările efectuate.

Editorul invocat este vi(1), cu excepția cazului în care EDITOR sau VISUAL variabila de mediu specifică altfel.

Numai super-utilizatorul poate edita cotele.

OPȚIUNI

-r, --remote
    Editează, de asemenea, cota non-locală, utilizează rpc.rquotad pe serverul de la distanță pentru a stabili cota. Această opțiune este disponibilă numai dacă instrumentele de stabilire a cotelor au fost compilate cu suportul activat pentru stabilirea cotelor prin RPC. Opțiunea -n este echivalentă și este menținută pentru compatibilitate retroactivă.

-m, --no-mixed-pathnames
    În prezent, numele rutelor punctelor de montare NFSv4 sunt trimise fără bara oblică de început în rută. rpc.rquotad utilizează acest lucru pentru a recunoaște montările NFSv4 și pentru a adăuga în mod corespunzător pseudo-rădăcina sistemului de fișiere NFS la rută. Dacă specificați această opțiune, edquota va trimite întotdeauna rutele cu o bară oblică de început. Acest lucru poate fi util din motive vechi, dar trebuie să știți că cota asupra RPC nu va mai funcționa dacă utilizați noul rpc.rquotad.

-u, --user
    Editează cota utilizatorului. Aceasta este valoarea implicită.

-g, --group
    Editează cota de grup.

-P, --project
    Editează cota proiectului.

-p, --prototype=nume-prototip
    Duplică cotele utilizatorului prototipic specificat pentru fiecare utilizator specificat. Acesta este mecanismul normal utilizat pentru a inițializa cotele pentru grupuri de utilizatori.

--always-resolve
    Încearcă întotdeauna să convertească numele utilizatorului/grupului în uid/gid, chiar dacă numele este compus numai din cifre.

-F, --format=nume-format
    Editează cota pentru formatul specificat (adică nu efectuează autodetecția formatului). Numele formatelor posibile sunt: vfsold Formatul original al cotelor cu UID-uri / GID-uri pe 16 biți, vfsv0 Formatul cotelor cu UID-uri / GID-uri pe 32 de biți, utilizarea spațiului pe 64 de biți, utilizarea și limitele nodurilor-i pe 32 de biți, vfsv1 Formatul cotelor cu limitele și utilizarea cotelor pe 64 de biți, rpc (cote pe NFS), xfs (cote pe sistemul de fișiere XFS).

-f, --filesystem sistem-fișiere
    Efectuează operațiile specificate numai pentru sistemul de fișiere dat (valoarea implicită este de a efectua operații pentru toate sistemele de fișiere cu cotă).

-t, --edit-period
    Editează limitele de timp soft pentru fiecare sistem de fișiere. În formatul vechi al cotelor, dacă limitele de timp sunt zero, se utilizează limitele de timp implicite din <linux/quota.h>. În noul format de cote, limitele de timp trebuie specificate (nu există o valoare implicită stabilită în nucleu). Unitățile de timp de „secunde”, „minute”, „ore” și „zile” sunt înțelese. Limitele de timp sunt afișate în cea mai mare unitate de timp posibilă, astfel încât valoarea să fie mai mare sau egală cu unu.

-T, --edit-times
    Editează timpul pentru utilizator/grup/proiect atunci când se aplică softlimit. Valorile posibile sunt „unset” sau număr și unitate. Unitățile sunt identice cu cele din opțiunea -t.

FIȘIERE
aquota.user sau aquota.group
    fișier de cotă la rădăcina sistemului de fișiere («quota» versiunea 2, sisteme de fișiere non-XFS)
quota.user sau quota.group
    fișier de cotă la rădăcina sistemului de fișiere («quota» versiunea 1, sisteme de fișiere non-XFS)
/etc/mtab
    tabelul sistemelor de fișiere montate

CONSULTAȚI ȘI
quota(1), vi(1), quotactl(2), quotacheck(8), quotaon(8), repquota(8), setquota(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.